
QGIS Application - Bug report #8969

Add description to Parameter and Output str() methods

2013-10-31 04:42 AM - Giovanni Allegri

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17631

Description

Adding self.description to Parameter and Output string representation would help when calling processing.alghelp.

E.g.:

def str(self):

        return self.name + ':' + self.description + ' <' + self.__module__.split('.')[-1] + '>'

History

#1 - 2014-03-26 07:34 AM - Alexander Bruy

- Category set to 63

#2 - 2014-10-04 12:08 PM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (63)

- Project changed from 78 to QGIS Application

#3 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#4 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2019-03-09 03:11 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2025-06-08 1/1

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

